# frozen_string_literal: true

tcell_server = ENV['TCELL_AGENT_SERVER']

TCellAgent.thread_agent.instrument_built_ins if tcell_server &&
                                                tcell_server == 'mock'

require('tcell_agent/servers/rails_server') if (tcell_server && tcell_server == 'webrick') ||
                                               defined?(Rails::Server)

require('tcell_agent/servers/thin') if (tcell_server && tcell_server == 'thin') ||
                                       defined?(Thin)

require('tcell_agent/servers/puma') if (tcell_server && tcell_server == 'puma') ||
                                       defined?(Puma)

require('tcell_agent/servers/unicorn') if (tcell_server && tcell_server == 'unicorn') ||
                                          defined?(Unicorn)

require('tcell_agent/servers/passenger') if (tcell_server && tcell_server == 'passenger') ||
                                            defined?(PhusionPassenger)
