class File
  class << self
    if TCellAgent.configuration.should_instrument?('File::new')
      alias_method :tcell_original_new, :new
      def new(*args, &block)
        TCellAgent::Instrumentation::Lfi.default_open_handler(args)

        tcell_original_new(*args, &block)
      end
    end

    if TCellAgent.configuration.should_instrument?('File::open')
      alias_method :tcell_original_open, :open
      def open(*args, &block)
        TCellAgent::Instrumentation::Lfi.default_open_handler(args)

        tcell_original_open(*args, &block)
      end
    end
  end
end
