require 'tcell_agent/rails/auth/userinfo'

module TCellAgent
  TCellAgent::UserInformation.class_eval do
    class << self
      alias_method :original_get_user_from_request, :get_user_from_request
      def get_user_from_request(request)
        orig_user_id = original_get_user_from_request(request)
        begin
          if request.session && request.session.key?('user_credentials_id')
            return request.session['user_credentials_id'].to_s
          end
        rescue StandardError
          return orig_user_id
        end
        orig_user_id
      end
    end
  end
end
