require 'tcell_agent/sensor_events/sensor'

module TCellAgent
  module SensorEvents
    class AppConfigSettingEvent < TCellSensorEvent
      def initialize(package, section, prefix, name, value)
        super('app_config_setting')
        self['package'] = package
        self['section'] = section

        self['name'] = name
        self['value'] = value.to_s

        self['prefix'] = prefix if prefix
      end
    end
  end
end
