Rack::Handler::WEBrick.class_eval do
  class << self
    alias_method :original_run, :run

    if defined?(Gem::Version) &&
       defined?(Rack.release) &&
       Gem::Version.new(Rack.release) < Gem::Version.new('2.2.0')
      def run(app, options = {})
        TCellAgent.thread_agent.start('WEBrick')
        original_run(app, options)
      end
    else
      def run(app, **options)
        TCellAgent.thread_agent.start('WEBrick')
        original_run(app, **options)
      end
    end
  end
end
