# See the file "LICENSE" for the full license governing this code.
require 'tcell_agent/configuration'

unless TCellAgent.configuration.disable_all
  require 'tcell_agent/logger'
  require 'tcell_agent/utils/strings'
  require 'tcell_agent/agent'

  require 'tcell_agent/sensor_events/util/sanitizer_utilities'

  require 'tcell_agent/instrumentation'

  require 'tcell_agent/instrument_servers'
  require 'tcell_agent/hooks/login_fraud'
  require 'tcell_agent/rails/railties/tcell_agent_railties' if defined?(Rails)
  # sinatra used to be supported, but dropped support due to no customers using it
  # require 'tcell_agent/sinatra' if defined?(Sinatra)
end
