module TCellAgent
  module Utils
    module Headers
      def self.clean_keys(request_env_or_header_keys)
        if request_env_or_header_keys.is_a?(Hash)
          request_env_or_header_keys.select { |k, _v| k.start_with? 'HTTP_' }.collect { |k, _v| k.sub(/^HTTP_/, '') }
        else
          request_env_or_header_keys.map { |k| k.sub(/^HTTP_/, '') }
        end
      end
    end
  end
end
